[
    {
        "Id": "142f8c9ea29b7a4476a90320527da68f9934b80caf8d4c4563af12bbbd1ad205",
        "Created": "2025-08-08T01:51:42.479268492Z",
        "Path": "/usr/local/bin/immich-docker-entrypoint.sh",
        "Args": [
            "postgres",
            "-c",
            "config_file=/etc/postgresql/postgresql.conf"
        ],
        "State": {
            "Status": "running",
            "Running": true,
            "Paused": false,
            "Restarting": false,
            "OOMKilled": false,
            "Dead": false,
            "Pid": 3039,
            "ExitCode": 0,
            "Error": "",
            "StartedAt": "2025-08-12T22:09:40.393650034Z",
            "FinishedAt": "2025-08-12T22:08:06.523657434Z",
            "Health": {
                "Status": "healthy",
                "FailingStreak": 0,
                "Log": [
                    {
                        "Start": "2025-08-23T21:24:50.301907209-04:00",
                        "End": "2025-08-23T21:24:50.465689661-04:00",
                        "ExitCode": 0,
                        "Output": "/var/run/postgresql:5432 - accepting connections\n"
                    },
                    {
                        "Start": "2025-08-23T21:29:50.466821351-04:00",
                        "End": "2025-08-23T21:29:50.660570191-04:00",
                        "ExitCode": 0,
                        "Output": "/var/run/postgresql:5432 - accepting connections\n"
                    },
                    {
                        "Start": "2025-08-23T21:34:50.661729687-04:00",
                        "End": "2025-08-23T21:34:50.852808706-04:00",
                        "ExitCode": 0,
                        "Output": "/var/run/postgresql:5432 - accepting connections\n"
                    },
                    {
                        "Start": "2025-08-23T21:39:50.8541302-04:00",
                        "End": "2025-08-23T21:39:51.036611927-04:00",
                        "ExitCode": 0,
                        "Output": "/var/run/postgresql:5432 - accepting connections\n"
                    },
                    {
                        "Start": "2025-08-23T21:44:51.03785272-04:00",
                        "End": "2025-08-23T21:44:51.206902911-04:00",
                        "ExitCode": 0,
                        "Output": "/var/run/postgresql:5432 - accepting connections\n"
                    }
                ]
            }
        },
        "Image": "sha256:1ce9341724921ad7cb66bc9259bc10571ababbb1da6e001fe6d07a87c645545a",
        "ResolvConfPath": "/var/lib/docker/containers/142f8c9ea29b7a4476a90320527da68f9934b80caf8d4c4563af12bbbd1ad205/resolv.conf",
        "HostnamePath": "/var/lib/docker/containers/142f8c9ea29b7a4476a90320527da68f9934b80caf8d4c4563af12bbbd1ad205/hostname",
        "HostsPath": "/var/lib/docker/containers/142f8c9ea29b7a4476a90320527da68f9934b80caf8d4c4563af12bbbd1ad205/hosts",
        "LogPath": "/var/lib/docker/containers/142f8c9ea29b7a4476a90320527da68f9934b80caf8d4c4563af12bbbd1ad205/142f8c9ea29b7a4476a90320527da68f9934b80caf8d4c4563af12bbbd1ad205-json.log",
        "Name": "/immich_postgres",
        "RestartCount": 0,
        "Driver": "overlay2",
        "Platform": "linux",
        "MountLabel": "",
        "ProcessLabel": "",
        "AppArmorProfile": "docker-default",
        "ExecIDs": null,
        "HostConfig": {
            "Binds": [
                "/srv/mergerfs/presscloud/immich/postgres:/var/lib/postgresql/data:rw"
            ],
            "ContainerIDFile": "",
            "LogConfig": {
                "Type": "json-file",
                "Config": {}
            },
            "NetworkMode": "immich_default",
            "PortBindings": {},
            "RestartPolicy": {
                "Name": "always",
                "MaximumRetryCount": 0
            },
            "AutoRemove": false,
            "VolumeDriver": "",
            "VolumesFrom": null,
            "ConsoleSize": [
                0,
                0
            ],
            "CapAdd": null,
            "CapDrop": null,
            "CgroupnsMode": "private",
            "Dns": [],
            "DnsOptions": [],
            "DnsSearch": [],
            "ExtraHosts": [],
            "GroupAdd": null,
            "IpcMode": "private",
            "Cgroup": "",
            "Links": null,
            "OomScoreAdj": 0,
            "PidMode": "",
            "Privileged": false,
            "PublishAllPorts": false,
            "ReadonlyRootfs": false,
            "SecurityOpt": null,
            "UTSMode": "",
            "UsernsMode": "",
            "ShmSize": 67108864,
            "Runtime": "runc",
            "Isolation": "",
            "CpuShares": 0,
            "Memory": 0,
            "NanoCpus": 0,
            "CgroupParent": "",
            "BlkioWeight": 0,
            "BlkioWeightDevice": null,
            "BlkioDeviceReadBps": null,
            "BlkioDeviceWriteBps": null,
            "BlkioDeviceReadIOps": null,
            "BlkioDeviceWriteIOps": null,
            "CpuPeriod": 0,
            "CpuQuota": 0,
            "CpuRealtimePeriod": 0,
            "CpuRealtimeRuntime": 0,
            "CpusetCpus": "",
            "CpusetMems": "",
            "Devices": null,
            "DeviceCgroupRules": null,
            "DeviceRequests": null,
            "MemoryReservation": 0,
            "MemorySwap": 0,
            "MemorySwappiness": null,
            "OomKillDisable": null,
            "PidsLimit": null,
            "Ulimits": null,
            "CpuCount": 0,
            "CpuPercent": 0,
            "IOMaximumIOps": 0,
            "IOMaximumBandwidth": 0,
            "MaskedPaths": [
                "/proc/asound",
                "/proc/acpi",
                "/proc/interrupts",
                "/proc/kcore",
                "/proc/keys",
                "/proc/latency_stats",
                "/proc/timer_list",
                "/proc/timer_stats",
                "/proc/sched_debug",
                "/proc/scsi",
                "/sys/firmware",
                "/sys/devices/virtual/powercap",
                "/sys/devices/system/cpu/cpu0/thermal_throttle",
                "/sys/devices/system/cpu/cpu1/thermal_throttle",
                "/sys/devices/system/cpu/cpu2/thermal_throttle",
                "/sys/devices/system/cpu/cpu3/thermal_throttle"
            ],
            "ReadonlyPaths": [
                "/proc/bus",
                "/proc/fs",
                "/proc/irq",
                "/proc/sys",
                "/proc/sysrq-trigger"
            ]
        },
        "GraphDriver": {
            "Data": {
                "ID": "142f8c9ea29b7a4476a90320527da68f9934b80caf8d4c4563af12bbbd1ad205",
                "LowerDir": "/var/lib/docker/overlay2/6a91589b1323f4985af82cd46c132620a3e3bfca261f7608b3bcc0bd74008854-init/diff:/var/lib/docker/overlay2/b60019fe77c3c25ec0a732881cc61e0d46c3ccee0b3f7572b344915ff2218e4a/diff:/var/lib/docker/overlay2/afbea7068d64bc4fb90bb73490f00a2b15d45cd6fd5995edf3d65f79ad18cfc7/diff:/var/lib/docker/overlay2/44b2351f0ec9a4974ffeea13698d55fa1fe12ef127b63781edb73bdc48d07802/diff:/var/lib/docker/overlay2/78657bff330126c6aa4c083f5c21fe1de6ccf79f3cc4a92db3e10b60a57df683/diff:/var/lib/docker/overlay2/c1c7f50bcef2b727527308c4a814b75566ba6a61a8b03ed7fff344de6c3ec39b/diff:/var/lib/docker/overlay2/22a046cd198e1a88f6cfc20dceb4ec3683fcd90e4b4a5844cd945ca0ec4ae40d/diff:/var/lib/docker/overlay2/167bb43cfb369e7d9d37e5c2b26310d39249576f395724142e6e48f9ea732db4/diff:/var/lib/docker/overlay2/fc6173dc054c3f077ea7c7b22130d6054e39a993c785bc4bcd9c45d46a80b2fe/diff:/var/lib/docker/overlay2/2521de50f7fd0d72f648cdacb1c0d7b92ae1b9480b85ba918afa5401af86a7c4/diff:/var/lib/docker/overlay2/4067e6a0b427e1e2cae92d8deefabf9b50e4bceaa0ccf4e6bbb747447a238699/diff:/var/lib/docker/overlay2/4d5cff9cfad2d3d63dce275b43d06443af016ec74308e807e602f96b4f2cc526/diff:/var/lib/docker/overlay2/0745e6744b61fdbdbf56825519e56001d9dd43d6b2b533ade87e5217ce6f59ab/diff:/var/lib/docker/overlay2/625a941d9454c66798885379036ee338e8ab8dcca2d38fec73385801ade1d0d6/diff:/var/lib/docker/overlay2/ccce1089a9a5d6bacdb015fe53fd7582166dd320a593c51f23911a728cf8425b/diff:/var/lib/docker/overlay2/b62412d7b0630b2241f73b4d51913da19099c2805b57f36f4ae369c1b28d0a12/diff:/var/lib/docker/overlay2/65cc56d125a9bca5b4e3c5a3682db5d579d92d7a1d41401234044bdd88f37556/diff:/var/lib/docker/overlay2/1db501c31b9967b3f8e6d43567d9fa40cc200b504ba7ba142555fab0e75f3146/diff:/var/lib/docker/overlay2/5b51b896bba4e8965a39731012f2d01516953d0f460a71a62b7b1dae3af967d5/diff:/var/lib/docker/overlay2/faa98f791ad59ea724fb04f14f793f66e0d6d61e48dc932ed9dc1a3be5501f66/diff:/var/lib/docker/overlay2/288f91df11fa15e2c22f174da6af01007ed53007b5b9684f5537e450e2b645b1/diff:/var/lib/docker/overlay2/db860e4a3843f65470360285f91b4460bef48720d7daac37f7619051fcc14693/diff",
                "MergedDir": "/var/lib/docker/overlay2/6a91589b1323f4985af82cd46c132620a3e3bfca261f7608b3bcc0bd74008854/merged",
                "UpperDir": "/var/lib/docker/overlay2/6a91589b1323f4985af82cd46c132620a3e3bfca261f7608b3bcc0bd74008854/diff",
                "WorkDir": "/var/lib/docker/overlay2/6a91589b1323f4985af82cd46c132620a3e3bfca261f7608b3bcc0bd74008854/work"
            },
            "Name": "overlay2"
        },
        "Mounts": [
            {
                "Type": "bind",
                "Source": "/srv/mergerfs/presscloud/immich/postgres",
                "Destination": "/var/lib/postgresql/data",
                "Mode": "rw",
                "RW": true,
                "Propagation": "rprivate"
            }
        ],
        "Config": {
            "Hostname": "142f8c9ea29b",
            "Domainname": "",
            "User": "",
            "AttachStdin": false,
            "AttachStdout": true,
            "AttachStderr": true,
            "ExposedPorts": {
                "5432/tcp": {}
            },
            "Tty": false,
            "OpenStdin": false,
            "StdinOnce": false,
            "Env": [
                "POSTGRES_USER=postgres",
                "POSTGRES_DB=immich",
                "POSTGRES_INITDB_ARGS=--data-checksums",
                "POSTGRES_PASSWORD=postgres",
                "PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/lib/postgresql/14/bin",
                "GOSU_VERSION=1.17",
                "LANG=en_US.utf8",
                "PG_MAJOR=14",
                "PG_VERSION=14.18-1.pgdg120+1",
                "PGDATA=/var/lib/postgresql/data",
                "DB_STORAGE_TYPE=SSD"
            ],
            "Cmd": [
                "postgres",
                "-c",
                "config_file=/etc/postgresql/postgresql.conf"
            ],
            "Healthcheck": {
                "Test": [
                    "CMD-SHELL",
                    "/usr/local/bin/healthcheck.sh"
                ],
                "Interval": 300000000000,
                "StartPeriod": 300000000000,
                "StartInterval": 5000000000
            },
            "Image": "ghcr.io/immich-app/postgres:14-vectorchord0.3.0-pgvectors0.2.0",
            "Volumes": {
                "/var/lib/postgresql/data": {}
            },
            "WorkingDir": "",
            "Entrypoint": [
                "/usr/local/bin/immich-docker-entrypoint.sh"
            ],
            "OnBuild": null,
            "Labels": {
                "com.docker.compose.config-hash": "1015853fb6fe53c989319829888160795417339c62fce74c48c7ac7beb222aa9",
                "com.docker.compose.container-number": "1",
                "com.docker.compose.depends_on": "",
                "com.docker.compose.image": "sha256:1ce9341724921ad7cb66bc9259bc10571ababbb1da6e001fe6d07a87c645545a",
                "com.docker.compose.oneoff": "False",
                "com.docker.compose.project": "immich",
                "com.docker.compose.project.config_files": "/srv/mergerfs/presscloud/docker/immich/immich.yml",
                "com.docker.compose.project.working_dir": "/srv/mergerfs/presscloud/docker/immich",
                "com.docker.compose.service": "database",
                "com.docker.compose.version": "2.39.1",
                "org.opencontainers.image.created": "2025-07-23T21:03:55.425Z",
                "org.opencontainers.image.description": "Base images for Immich containers",
                "org.opencontainers.image.licenses": "AGPL-3.0",
                "org.opencontainers.image.revision": "ee806e819e922de0a2744cf61da90428b169dc4a",
                "org.opencontainers.image.source": "https://github.com/immich-app/base-images",
                "org.opencontainers.image.title": "base-images",
                "org.opencontainers.image.url": "https://github.com/immich-app/base-images",
                "org.opencontainers.image.version": "14-vectorchord0.3.0-pgvector0.8.0-pgvectors0.2.0"
            },
            "StopSignal": "SIGINT"
        },
        "NetworkSettings": {
            "Bridge": "",
            "SandboxID": "b15ecf4e539ce406f02b792a6989e3b3e88e6fefbb1f2ad9f0d176e63c2281c3",
            "SandboxKey": "/var/run/docker/netns/b15ecf4e539c",
            "Ports": {
                "5432/tcp": null
            },
            "HairpinMode": false,
            "LinkLocalIPv6Address": "",
            "LinkLocalIPv6PrefixLen": 0,
            "SecondaryIPAddresses": null,
            "SecondaryIPv6Addresses": null,
            "EndpointID": "",
            "Gateway": "",
            "GlobalIPv6Address": "",
            "GlobalIPv6PrefixLen": 0,
            "IPAddress": "",
            "IPPrefixLen": 0,
            "IPv6Gateway": "",
            "MacAddress": "",
            "Networks": {
                "immich_default": {
                    "IPAMConfig": null,
                    "Links": null,
                    "Aliases": [
                        "immich_postgres",
                        "database"
                    ],
                    "MacAddress": "52:36:1d:b5:82:b1",
                    "DriverOpts": null,
                    "GwPriority": 0,
                    "NetworkID": "b51092ec139cacc7aafb173e3816a9492168eca2b11ab5721f36b3c7d77f7b26",
                    "EndpointID": "8137c299cd4d42d71c767232355097636b460972272812120e5b974b451c9ea8",
                    "Gateway": "172.22.0.1",
                    "IPAddress": "172.22.0.5",
                    "IPPrefixLen": 16,
                    "IPv6Gateway": "",
                    "GlobalIPv6Address": "",
                    "GlobalIPv6PrefixLen": 0,
                    "DNSNames": [
                        "immich_postgres",
                        "database",
                        "142f8c9ea29b"
                    ]
                }
            }
        }
    }
]
